//
// SydB☮x: seccomp and landlock based application sandbox
// src/unshare/seccomp.rs: Seccomp support for unshare::Command
//
// Copyright (c) 2023 Ali Polatel <alip@chesswob.org>
//
// SPDX-License-Identifier: GPL-3.0-or-later

use std::os::unix::net::UnixStream;

use anyhow::{Context, Result};
use libseccomp::ScmpFilterContext;

use crate::unshare::Command;

impl Command {
    /// Set up a `ScmpFilterContext` for the `Command`.
    pub fn seccomp_filter(&mut self, filter_context: ScmpFilterContext) -> Result<()> {
        self.seccomp_filter = Some(filter_context);
        if self.seccomp_channel.is_none() {
            self.seccomp_channel =
                Some(UnixStream::pair().context("Error initializing socket pair.")?);
        }
        Ok(())
    }
}
